<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


namespace Kufer\KuferTools\Veranstalter\Anmeldung\NewTeilnehmer;

class NewTeilnehmerView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'veranstalter/anmeldung/newteilnehmer.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    return array($this->viewModel->teilnehmer);
  }

  protected function getHeaderExportAdapter()
  {
    return new \ExpTeilnehmer();
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->columns;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpColumn($this->viewModel->teilnehmer, true);
  }
}

class NewTeilnehmerViewModel
{
  public $teilnehmer;
  public $columns;
}